package cn.superdesk.uniorder.common.enums.lnss;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * @author kite
 * @version 1.0
 * @date 2019/8/10
 */
public enum PayStatusEnum {

    SALE(1,"已付款"),

    NO_SALE(2,"未付款");

    private Integer key;
    private String desc;

    PayStatusEnum(int key, String desc) {
        this.key = key;
        this.desc = desc;
    }

    public int getKey() {
        return key;
    }

    public String getDesc() {
        return desc;
    }

    public static String getDesc(int key) {
        for (PayStatusEnum c : PayStatusEnum.values()) {
            if (c.key == key) {
                return c.getDesc();
            }
        }
        return null;
    }

    private static final Map<Integer, PayStatusEnum> LOOKUP = new HashMap<>();

    static {
        for(PayStatusEnum s : EnumSet.allOf(PayStatusEnum.class)) {
            LOOKUP.put(s.getKey(), s);
        }
    }

    /**
     * 方向查找枚举类
     * @param key
     * @return
     */
    public static PayStatusEnum get(Integer key) {
        return LOOKUP.get(key);
    }
}
